# DepositPreauth | xrpl
Documentation for xrpl

# Interface DepositPreauth

A DepositPreauth object tracks a preauthorization from one account to another. DepositPreauth transactions create these objects.

#### Hierarchy

- default
  - DepositPreauth

- Defined in packages/xrpl/src/models/ledger/DepositPreauth.ts:9

#####
Index

### Properties

Account
Authorize
Flags
LedgerEntryType
OwnerNode
PreviousTxnID
PreviousTxnLgrSeq
index

## Properties

### Account

Account: string

The account that granted the preauthorization.

- Defined in packages/xrpl/src/models/ledger/DepositPreauth.ts:12

### Authorize

Authorize: string

The account that received the preauthorization.

- Defined in packages/xrpl/src/models/ledger/DepositPreauth.ts:14

### Flags

Flags: 0

A bit-map of boolean flags. No flags are defined for DepositPreauth objects, so this value is always 0.

- Defined in packages/xrpl/src/models/ledger/DepositPreauth.ts:19

### LedgerEntryType

LedgerEntryType: "DepositPreauth"

- Defined in packages/xrpl/src/models/ledger/DepositPreauth.ts:10

### OwnerNode

OwnerNode: string

A hint indicating which page of the sender's owner directory links to this object, in case the directory consists of multiple pages.

- Defined in packages/xrpl/src/models/ledger/DepositPreauth.ts:24

### PreviousTxnID

PreviousTxnID: string

The identifying hash of the transaction that most recently modified this object.

- Defined in packages/xrpl/src/models/ledger/DepositPreauth.ts:29

### PreviousTxnLgrSeq

PreviousTxnLgrSeq: number

The index of the ledger that contains the transaction that most recently modified this object.

- Defined in packages/xrpl/src/models/ledger/DepositPreauth.ts:34

### index

index: string

Inherited from BaseLedgerEntry.index

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:2

Generated using TypeDoc